Subject: bug#3981 closed by Jason Rumney <[email-masked]> (Re: bug#3969: 23.0.96; Cannot use File > Visit New File on MS Windows)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 02 Aug 2009 15:20:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3969: 23.1; File Open

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
3969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3969
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3969: 23.0.96; Cannot use File > Visit New File on MS Windows
From: Jason Rumney <[email-masked]>
To: [email-masked]
Date: Sun, 02 Aug 2009 23:13:11 +0800

Drew Adams wrote:
> emacs -Q
>  
> Choose menu item File > Visit New File
>  
> You get the Windows `Find file:' dialog box. Enter the name of a new
> file, e.g. `xxxx.txt', in field `File name:' and click button
> `Open'. You get this error dialog box:
>  
>  Find file:
>  
>   xxxx.txt
>   File not found.
>   Please verify the correct file name was given
>  
>    [OK]
>   

The bug was caused by the change that introduced confirmation for 
partial completions in the minibuffer - now the MUSTMATCH arg to 
read-file-name is not simply nil or non-nil, it can have other special 
values too, which mean confirm rather than prevent entry of non-existent 
files.

But none of the file dialogs were updated for these special values, so 
x-file-dialog is still treating any non-nil value as "require an 
existing file".  The problem these special values try to prevent does 
not really apply to file dialogs, so I have checked in a change that 
treats them as nil when calling x-file-dialog.

Subject: 23.1; File Open
From: Matt COOPER <[email-masked]>
To: [email-masked]
Date: Thu, 30 Jul 2009 14:03:15 -0400

I opened Emacs 23.1 in MS Windows to write some Lisp code. When I used C-x 
C-f 
to create a new file, it brought up the window to pick a directory and 
create
the file. However, when I typed in a file name, in this case Pi.lisp, and 
clicked ok, a popup appears that says C:\Lisp\Pi.lisp File not found. It 
also does this
when I click the "New File" button at the top of the screen. 
The ability to create a file without having to leave the editor would be 
nice. 
Beyond that, great job with the new release. Emacs loads almost 
instantaneously
on Windows now.

In GNU Emacs 23.1.1 (i386-mingw-nt5.0.2195)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.0.2195
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <tool-bar> 
<new-file> <help-echo> <help-echo> <tool-bar> <new-file> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <tool-bar> <new-file> M-x r 
e p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit [2 times]
Quit

Matthew Cooper
Arkema, Inc.
Desktop Services
2000 Market Street, 23rd fl.
Philadelphia, PA 19103
e-mail:  [email-masked]